techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Sales Channels
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
      POST
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Sales Channels

List Channel Providers

POST
https://api.techrar.com/api/v1/sales-channels/providers/

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/api/v1/sales-channels/providers/' \
--header 'app-id: 4' \
--header 'Content-Type: application/json' \
--data '{
    "lat": "21.567223885189723",
    "lng": "39.16774382382276",
    "city_id": 1,
    "debug": false
}'
Response Response Example
[
    {
        "id": 0,
        "name_en": "string",
        "name_ar": "string",
        "subtitle_en": "string",
        "subtitle_ar": "string",
        "logo": "string",
        "start_after": 0,
        "store_start_after": 0,
        "primary_color": "string",
        "secondary_color": "string",
        "banner": "string",
        "closed_dates": [
            "string"
        ],
        "supports_pickup": true,
        "supports_delivery": true,
        "off_days": [
            "string"
        ],
        "is_available_for_user": true,
        "delivery_windows": [
            {
                "id": 0,
                "from_time": "string",
                "to_time": "string"
            }
        ],
        "pickup_branches": [
            {
                "id": 0,
                "name_en": "string",
                "name_ar": "string",
                "location": {
                    "address1": "string",
                    "lat": "string",
                    "lng": "string"
                }
            }
        ]
    }
]
Modified at 2025-11-22 18:49:06
Previous
Place Order
Next
List Supported Cities
Built with